#include<fstream>
#include<algorithm>
using namespace std;
int main()
{
	ifstream f1("TANSUAT.INP");
	ofstream f2("TANSUAT.OUT");
	int n;
	f1>>n;
	int d[200000];
	for(int j=0;j<200000;j++)
	{
		d[j]=0;
	}
	int i;
	int p;
	for(i=0;i<n;i++)
	{
		f1>>p;
		d[p]++;
	}
	int ok=0;
	for(i=0;i<200000;i++)
	{
		if(d[i]!=0) 
		{
			f2<<i<<' '<<d[i]<<endl;
			ok++;
		}
	}
	f1.close();
	f2.close();
	return 0;
}
